import 'package:flutter/material.dart';

/// An InheritedWidget for the BS Container.
/// Allows children to know the size of the container they are in,
/// through the of function
class BSContainerWrapper extends InheritedWidget {
  final double width;

  const BSContainerWrapper({
    Key? key,
    required Widget child,
    required this.width,
  }) : super(key: key, child: child);

  /// returns nearest parent of type BSContainerWrapper in passed context
  static BSContainerWrapper of(BuildContext context) {
    BSContainerWrapper? parent =
        context.dependOnInheritedWidgetOfExactType<BSContainerWrapper>();
    return parent!;
  }

  @override
  bool updateShouldNotify(BSContainerWrapper oldWidget) {
    return width != oldWidget.width;
  }
}
